## python-zita-audiotools-1.0.0-8.src.tar.gz

=== Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PY = /usr/bin/python3


build:	clean
	$(PY) ./setup.py build


install:
	$(PY) ./setup.py install


clean:
	$(PY) ./setup.py clean
	rm -rf build

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

_name=zita-audiotools
pkgname=python-zita-audiotools
pkgver=1.0.0
pkgrel=8
pkgdesc="Tools for audio processing"
arch=('x86_64')
url="https://kokkinizita.linuxaudio.org/linuxaudio"
license=('GPL2' 'GPL3')
depends=('gcc-libs' 'glibc' 'python-numpy')
makedepends=('libsndfile' 'python-setuptools' 'zita-resampler')
source=("https://kokkinizita.linuxaudio.org/linuxaudio/downloads/${_name}-${pkgver}.tar.bz2")
sha512sums=('c3ebd4c7bb5cb878066ec3de345cd8505c2606754a3ccd584f9ba8fe7e4492546cfa4fac3c4b1d508382952d4066d82d677adbfff4c990c59c0f04dc1d661cf6')
b2sums=('2415afc311c5e8c721467c1be8c79eb8be6abdd5310fef0ef656b42ef593775dbd8238f03203e7a5bb5d1b7103a0b932c337076e28c29ad5ef78b9446093e17d')

prepare() {
  mv -v "${_name}-${pkgver}" "$pkgname-$pkgver"
}

build() {
  cd "$pkgname-$pkgver"
  python setup.py build
}

package() {
  depends+=('libsndfile.so' 'libzita-resampler.so')

  cd "$pkgname-$pkgver"
  python setup.py install --skip-build \
    --optimize=1 \
    --root="${pkgdir}"
}
